function init()
    --
    monitor = FindShapes("monitor", false)

    -- Just to avoid errors --
    playpressed = 0
    gotomenu = 999999999999
    -- -------------------- --
end

function tick(dt)
    --
    --DebugWatch("playing", playing)

    screen = UiGetScreen()

    for i = 1, #monitor do
        if GetPlayerInteractShape() == monitor[i] and InputPressed("interact") then
                --
                --DebugPrint("interacted")
                RemoveTag(monitor[i], "interact")
                SetPlayerScreen(FindScreen("monitorscreen", false))
                playing = true
        end
    end


end

function draw()
    --
    if GetPlayerScreen() ~= (FindScreen("monitorscreen", false)) then
        playing = false
        for i=1,#monitor do
        SetTag(monitor[i], "interact", "Play")
        end
    end


    if screen == 0 then
        return
    end



    UiTranslate(UiCenter(), UiMiddle())
    UiAlign("center middle")
    UiImage("MOD/image/" .. "steam1" .. ".png")

    UiPush()
        UiTranslate(-572, -70)
        if UiImageButton("MOD/image/steamplay.png") then
            --
            playpressed = GetTime() + 1.5
            gotomenu = GetTime() + 1.2
        end
        if GetTime() < playpressed then
            --
            UiImageButton("MOD/image/steamstop.png")
        end
        if GetTime() > gotomenu then
            --
            Menu()
        end
    UiPop()
end
